rem First compile the tools

if "%1"=="" goto startbuild

:makebios

if "%2"=="MV_LOG_DEBUG" set TARGET_DIR=%3%\DebugFull
if "%2"=="MV_LOG_ERROR" set TARGET_DIR=%3%\DebugError
if "%2"=="MV_LOG_NONE" set TARGET_DIR=%3%\Free

cd driver
del biosimage.com
del *.obj
wmake -f biosImage.mk "C_DEFINES=%2" "INC=-i=%INCLUDE%;..\..\CoreDriver;..\..\IALCommon" -h -e biosImage.com 
cd ..
pause
copy tools\generateImage\generateImage.exe genImg.exe
copy driver\biosimage.com bios.com
copy driver\biosimage.map bios.map
genImg.exe bios.com 5081.img bios.map 0x5081
genImg.exe bios.com 5041.img bios.map 0x5041
genImg.exe bios.com 5080.img bios.map 0x5080
genImg.exe bios.com 5040.img bios.map 0x5040
genImg.exe bios.com 6081.img bios.map 0x6081
genImg.exe bios.com 6041.img bios.map 0x6041
del genImg.exe
del bios.com
del bios.map
copy 5081.img %TARGET_DIR%
copy 5041.img %TARGET_DIR%
copy 5080.img %TARGET_DIR%
copy 5040.img %TARGET_DIR%
copy 6081.img %TARGET_DIR%
copy 6041.img %TARGET_DIR%
copy mvFlshUp.com %TARGET_DIR%
exit

:startbuild
cd tools\generateImage
wmake -f generateimage.mk -h -e generateimage.exe
cd ..
cd flashUpdate
wmake -f flashupdate.mk -h -e
copy mvFlshUp.com ..\..
cd ..\..

del ..\CoreDriver\mvOs.h
copy Driver\mvOsBios.h ..\CoreDriver\mvOs.h    

mkdir ..\build
mkdir ..\build\bios
set MV_BUILD_DIR= ..\build\bios
mkdir %MV_BUILD_DIR%\DebugFull
mkdir %MV_BUILD_DIR%\DebugError
mkdir %MV_BUILD_DIR%\Free

start /WAIT cmd /k buildBiosDriver.bat Sub MV_LOG_DEBUG %MV_BUILD_DIR%
start /WAIT cmd /k buildBiosDriver.bat Sub MV_LOG_ERROR %MV_BUILD_DIR%
start /WAIT cmd /k buildBiosDriver.bat Sub MV_LOG_NONE %MV_BUILD_DIR%
:END


