project : biosimage.com .SYMBOLIC
biosIal.obj : biosImage.mk biosIal.c .AUTODEPEND
 *wcc biosIal.c $(INC) -d$(C_DEFINES) -w4 -e25 -s -zq -os -of+ -zu -zdl -3 -bt=dos -ms

mvsata.obj : biosImage.mk ..\..\CoreDriver\mvsata.c .AUTODEPEND
 *wcc -zm ..\..\CoreDriver\mvsata.c $(INC) -d$(C_DEFINES) -w4 -e25 -s -zq -os -of+ -zu -zdl -3 -bt=dos -ms

mvstoragedev.obj : biosImage.mk ..\..\CoreDriver\mvstoragedev.c .AUTODEPEND
 *wcc -zm ..\..\CoreDriver\mvstoragedev.c $(INC) -d$(C_DEFINES) -w4 -e25 -s -zq -os -of+ -zu -zdl -3 -bt=dos -ms

mvialcommonutils.obj : biosImage.mk ..\..\IALCommon\mvialcommonutils.c .AUTODEPEND
 *wcc -zm ..\..\IALCommon\mvialcommonutils.c $(INC) -d$(C_DEFINES) -w4 -e25 -s -zq -os -of+ -zu -zdl -3 -bt=dos -ms

vsprintf.obj : biosImage.mk vsprintf.c .AUTODEPEND
 *wcc -zm vsprintf.c $(INC) -d$(C_DEFINES) -e25 -s -zq -os -of+ -zu -zdl -3 -bt=dos-ms
 
coreDriver.lib : biosImage.mk mvsata.obj mvstoragedev.obj .AUTODEPEND
 *wlib coreDriver.lib -+mvsata.obj -+mvstoragedev.obj

IALCommon.lib : biosImage.mk mvialcommonutils.obj .AUTODEPEND
 *wlib IALCommon.lib -+mvialcommonutils.obj

biosimage.com : biosImage.mk biosIal.obj coreDriver.lib IALCommon.lib vsprintf.obj .AUTODEPEND
 *wlink name biosimage SYS dos com op m libf cstart_t op v op maxe=25 op symf op el FIL biosIal.obj,vsprintf.obj LIBRARY coreDriver.lib,IALCommon.lib

