rem @echo off
del  mvOs.h
copy mvOsWindows.h mvOs.h
copy ..\CoreDriver\mvSata.c .
copy ..\CoreDriver\mvStorageDev.c .
copy ..\CoreDriver\mvLog.c .
copy ..\ScsiAtaLayer\mvScsiAtaLayer.c .
copy ..\IALCommon\mvIALCommon.c .
copy ..\IALCommon\mvIALCommonUtils.c .


set MYDIR=%2

if %1.==. goto usage
if %MYDIR%.==. set MYDIR=%CD%

echo Using project directory %MYDIR%

del /s /q obj*
del /s /q ..\build\windows\*.*
    
start /WAIT cmd /k build_platform.bat %MYDIR% %1 fre WNET

if NOT errorlevel 0 GOTO errEND

start /WAIT cmd /k build_platform.bat %MYDIR% %1 fre AMD64 WNET

if NOT errorlevel 0 GOTO errEND


goto end


:errEND
echo An error occured during the compilation
pause
goto end


:usage

echo.
echo Usage: "build_all <ddk directory> [project directory]
echo.
echo   Example: build_all  C:\WINDDK\3790 D:\HERCULES
echo   Example: build_all D:\DDK (current directory is used as project directory)
echo.
echo.


:end
del .\mvSata.c
del .\mvStorageDev.c
del .\mvLog.c
del .\mvScsiAtaLayer.c
del .\mvIALCommon.c
del .\mvIALCommonUtils.c




